Summary:	KDE Frameworks 5 mail transport module
Name:		kmailtransport
Version:	17.12.3
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	ksmtp-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
Conflicts:	kdepimlibs4-core
Conflicts:	plasma5-kio-kdepimlibs < 16.08.2
Conflicts:	kde5-l10n < 17.04

%description
KDE Frameworks 5 mail transport module.

%files
# mailtransport.kcfg conflicts with kdepimlibs4-core
%{_kde5_datadir}/config.kcfg/mailtransport.kcfg
%{_kde5_services}/kcm_mailtransport.desktop
%{_kde5_sysconfdir}/xdg/kmailtransport.categories
%{_kde5_sysconfdir}/xdg/kmailtransport.renamecategories
%{_qt5_plugindir}/kcm_mailtransport.so
%{_qt5_plugindir}/mailtransport/mailtransport_akonadiplugin.so
%{_qt5_plugindir}/mailtransport/mailtransport_smtpplugin.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 mail transport library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 mail transport library translations.

%files i18n -f libmailtransport5.lang

#----------------------------------------------------------------------------

%define kf5mailtransport_major 5
%define libkf5mailtransport %mklibname kf5mailtransport %{kf5mailtransport_major}

%package -n %{libkf5mailtransport}
Summary:	KDE Frameworks 5 mail transport shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5mailtransport}
KDE Frameworks 5 mail transport shared library.

%files -n %{libkf5mailtransport}
%{_kde5_libdir}/libKF5MailTransport.so.%{kf5mailtransport_major}*

#----------------------------------------------------------------------------

%define kf5mailtransportakonadi_major 5
%define libkf5mailtransportakonadi %mklibname kf5mailtransportakonadi %{kf5mailtransportakonadi_major}

%package -n %{libkf5mailtransportakonadi}
Summary:	KDE Frameworks 5 Akonadi mail transport shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5mailtransportakonadi}
KDE Frameworks 5 Akonadi mail transport shared library.

%files -n %{libkf5mailtransportakonadi}
%{_kde5_libdir}/libKF5MailTransportAkonadi.so.%{kf5mailtransportakonadi_major}*

#----------------------------------------------------------------------------

%define devkf5mailtransport %mklibname kf5mailtransport -d

%package -n %{devkf5mailtransport}
Summary:	Development files for KDE Frameworks 5 mail transport module
Group:		Development/KDE and Qt
Requires:	%{libkf5mailtransport} = %{EVRD}
Requires:	%{libkf5mailtransportakonadi} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5mailtransport-devel = %{version}
Provides:	kf5mailtransportakonadi-devel = %{version}

%description -n %{devkf5mailtransport}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5mailtransport}
%{_kde5_includedir}/KF5/MailTransport
%{_kde5_includedir}/KF5/MailTransportAkonadi
%{_kde5_includedir}/KF5/mailtransport
%{_kde5_includedir}/KF5/mailtransportakonadi
%{_kde5_includedir}/KF5/mailtransport_version.h
%{_kde5_includedir}/KF5/mailtransportakonadi_version.h
%{_kde5_libdir}/cmake/KF5MailTransport
%{_kde5_libdir}/cmake/KF5MailTransportAkonadi
%{_kde5_libdir}/libKF5MailTransport.so
%{_kde5_libdir}/libKF5MailTransportAkonadi.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang libmailtransport5 --with-kde

%changelog

* Thu Mar 22 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (90bc0b4) Update files


